net.i2p.client.streaming

## Class I2PSocketManagerFactory

- java.lang.Object
- - net.i2p.client.streaming.I2PSocketManagerFactory

-     public class I2PSocketManagerFactory
      extends Object

  Simplify the creation of I2PSession and transient I2P Destination objects if necessary to create a socket manager. This class is most likely how classes will begin their use of the socket library

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_MANAGER`
    `static String` | `PROP_MANAGER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PSocketManagerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static I2PSocketManager` | `createManager()` Create a socket manager using a brand new destination connected to the I2CP router on the local machine on the default port (7654).
    `static I2PSocketManager` | `createManager(InputStream myPrivateKeyStream)` Create a socket manager using the destination loaded from the given private key stream and connected to the default I2CP host and port.
    `static I2PSocketManager` | `createManager(InputStream myPrivateKeyStream, Properties opts)` Create a socket manager using the destination loaded from the given private key stream and connected to the default I2CP host and port.
    `static I2PSocketManager` | `createManager(InputStream myPrivateKeyStream, String i2cpHost, int i2cpPort, Properties opts)` Create a socket manager using the destination loaded from the given private key stream and connected to the I2CP router on the specified machine on the given port
    `static I2PSocketManager` | `createManager(Properties opts)` Create a socket manager using a brand new destination connected to the I2CP router on the local machine on the default port (7654).
    `static I2PSocketManager` | `createManager(String host, int port)` Create a socket manager using a brand new destination connected to the I2CP router on the specified host and port
    `static I2PSocketManager` | `createManager(String i2cpHost, int i2cpPort, Properties opts)` Create a socket manager using a brand new destination connected to the I2CP router on the given machine reachable through the given port.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROP_MANAGER

          public static final String PROP_MANAGER

      See Also:
        Constant Field Values

    - #### DEFAULT_MANAGER

          public static final String DEFAULT_MANAGER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### I2PSocketManagerFactory

          public I2PSocketManagerFactory()

  - ### Method Detail

    - #### createManager

          public static I2PSocketManager createManager()

      Create a socket manager using a brand new destination connected to the I2CP router on the local machine on the default port (7654).
      Returns:
        the newly created socket manager, or null if there were errors

    - #### createManager

          public static I2PSocketManager createManager(Properties opts)

      Create a socket manager using a brand new destination connected to the I2CP router on the local machine on the default port (7654).
      Parameters:
        `opts` - I2CP options
      Returns:
        the newly created socket manager, or null if there were errors

    - #### createManager

          public static I2PSocketManager createManager(String host,
                                       int port)

      Create a socket manager using a brand new destination connected to the I2CP router on the specified host and port
      Parameters:
        `host` - I2CP host
        `port` - I2CP port
      Returns:
        the newly created socket manager, or null if there were errors

    - #### createManager

          public static I2PSocketManager createManager(String i2cpHost,
                                       int i2cpPort,
                                       Properties opts)

      Create a socket manager using a brand new destination connected to the I2CP router on the given machine reachable through the given port.
      Parameters:
        `i2cpHost` - I2CP host
        `i2cpPort` - I2CP port
        `opts` - I2CP options
      Returns:
        the newly created socket manager, or null if there were errors

    - #### createManager

          public static I2PSocketManager createManager(InputStream myPrivateKeyStream)

      Create a socket manager using the destination loaded from the given private key stream and connected to the default I2CP host and port.
      Parameters:
        `myPrivateKeyStream` - private key stream
      Returns:
        the newly created socket manager, or null if there were errors

    - #### createManager

          public static I2PSocketManager createManager(InputStream myPrivateKeyStream,
                                       Properties opts)

      Create a socket manager using the destination loaded from the given private key stream and connected to the default I2CP host and port.
      Parameters:
        `myPrivateKeyStream` - private key stream
        `opts` - I2CP options
      Returns:
        the newly created socket manager, or null if there were errors

    - #### createManager

          public static I2PSocketManager createManager(InputStream myPrivateKeyStream,
                                       String i2cpHost,
                                       int i2cpPort,
                                       Properties opts)

      Create a socket manager using the destination loaded from the given private key stream and connected to the I2CP router on the specified machine on the given port
      Parameters:
        `myPrivateKeyStream` - private key stream
        `i2cpHost` - I2CP host
        `i2cpPort` - I2CP port
        `opts` - I2CP options
      Returns:
        the newly created socket manager, or null if there were errors